Uptimeify Docs

Kunden-Domains (Organisation) auflisten

Listet Kunden-Domains innerhalb einer Organisation auf (Pagination + Suche).

GET /api/customer-domains

Query Parameter

  • organizationId (optional): Standard ist deine Session-Organisation
  • customerId (optional): akzeptiert die Public-ID des Kunden als UUID (empfohlen) oder eine Legacy-numerische Kunden-ID
  • search (optional)
  • page (optional, Default 1)
  • perPage (optional, Default 50, max 200)

Optional bedeutet hier: Parameter komplett weglassen, wenn du sie nicht nutzt. Sende keine leeren Strings wie page= oder perPage=.

Beispiel (cURL)

BASE_URL="https://uptimeify.io"
TOKEN="<dein-api-token>"

curl -X GET "$BASE_URL/api/customer-domains?organizationId=1&page=1&perPage=50" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Accept: application/json"

Antwort

Gibt eine paginierte Antwort zurück:

{
  "items": [
    {
      "id": 1,
      "publicId": "34eb0ec1-315d-45c4-aefe-0e5d12b11183",
      "customerId": 2,
      "customerName": "Zaskoku & Haupt GbR",
      "customerPublicId": "6764e84f-f02a-43e6-a46d-cecaec556723",
      "label": null,
      "domainName": "digitalduett.com",
      "status": "active",
      "expiryWarningDays": 30,
      "expiryErrorDays": 7,
      "createdAt": "2026-02-13T21:21:03.001Z",
      "updatedAt": "2026-02-13T21:21:03.001Z",
      "expiry": {
        "domainExpiresAt": "2026-12-20T20:44:45.000Z",
        "domainRegistrar": "NameCheap, Inc.",
        "isExpired": false,
        "lastError": null,
        "lastCheckedAt": "2026-04-03T10:59:00.321Z",
        "lastChangedAt": "2026-04-03T10:59:00.321Z",
        "lastNotifiedWarningAt": null,
        "lastNotifiedErrorAt": null,
        "lastNotifiedExpiredAt": null
      }
    }
  ],
  "total": 0,
  "page": 1,
  "perPage": 50
}

Jedes Item enthält flache Kundenfelder plus ein expiry-Objekt (oder null).

Häufige Fehler

  • 400 Organization ID required wenn keine Organisation abgeleitet werden kann
  • 400 Query-Validierungsfehler (z.B. ungültige organizationId, customerId, page, perPage)
  • 401 Unauthorized wenn du nicht angemeldet bist
  • 403 Forbidden wenn du keinen Zugriff auf die Organisation hast

Auf dieser Seite